# BEGIN SourceDeps(oneline):
BuildRequires: perl(Apache.pm) perl(Apache/Constants.pm) perl(Apache/Debug.pm) perl(FileHandle.pm) perl(Socket.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-eperl
Version:        2.2.14
Release:        alt2_23
Summary:        Embedded Perl Language
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://www.ossp.org/pkg/tool/eperl/
Source0:        ftp://ftp.ossp.org/pkg/tool/eperl/eperl-%{version}.tar.gz
Patch0:         http://ftp.debian.org/pool/main/e/eperl/eperl_2.2.14-15.1.diff.gz
Patch1:         perl-eperl-5.16compat.patch
BuildRequires:  gdbm-devel
BuildRequires:  libdb4.8-devel
BuildRequires:  perl(ExtUtils/Embed.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
ePerl interprets an ASCII file bristled with Perl 5 program statements
by evaluating the Perl 5 code while passing through the plain ASCII
data. It can operate in various ways: As a stand-alone Unix filter or
integrated Perl 5 module for general file generation tasks and as a
powerful Webserver scripting language for dynamic HTML page
programming.

The documentation and latest release can be found on
http://www.ossp.org/pkg/tool/eperl/

Note that this package does not include the Apache::ePerl module,
which is designed for mod_perl 1.x.

%prep
%setup -q -n eperl-%{version}
%patch0 -p1
%patch1 -p1
chmod u+x etc/shtool
find contrib/utils -perm +100 -type f -exec chmod 644 {} \;

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
#%{__perl} -pi -e 's/^\tLD_RUN_PATH=[^\s]+\s*/\t/' Makefile
make %{?_smp_mflags}
make -f Makefile.stand %{?_smp_mflags} eperl \
    prefix=%{_prefix} libdir=%{_datadir}/eperl

%install

# pure_install doesn't work.
make install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
make -f Makefile.stand install \
    prefix=$RPM_BUILD_ROOT%{_prefix} libdir=$RPM_BUILD_ROOT%{_datadir}/eperl

# Remove all of the Apache bits.
find $RPM_BUILD_ROOT -iname '*apache*' -exec rm -rf {} \; || :

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ANNOUNCE ARTISTIC COPYING ChangeLog ChangeLog.1x ChangeLog.20 ChangeLog.21
%doc INSTALL.APACHE INSTALL.NSAPI KNOWN.BUGS NEWS README
%doc eperl_logo.gif eperl_powered.gif contrib/utils/
%{perl_vendorarch}/*
%{_bindir}/eperl
%{_datadir}/eperl
%{_mandir}/man1/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.14-alt2_23
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 2.2.14-alt2_22
- rebuild with new perl

* Mon Aug 27 2012 Igor Vlasenko <viy@altlinux.ru> 2.2.14-alt1_22
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 2.2.14-alt1_19
- fc import

